PAGE   60,132
TITLE  LPTSTAT

INCLUDE EXTENDA.INC
CLpublic <LPTSTAT>
CLfunc   int   LPTSTAT   <int port>
CLcode
         PUSH  ES
         CMP   PCOUNT, 1
         JE    VALUE
         MOV   AX,1
         JMP   SHORT EXIT
VALUE:
         CMP   PORT,0
         JE    START
         CMP   PORT,1
         JE    START
         CMP   PORT,2
         JE    START
         MOV   AX,1
         JMP   SHORT EXIT
START:
         MOV   AH,2
         MOV   DX,PORT
         INT   17H
         CMP   AH,90H
         JNE   OFFLINE
         MOV   AX,0
         JMP   SHORT EXIT
OFFLINE:
         CMP   AH,18H
         JNE   POWER
         MOV   AX,2
         JMP   SHORT EXIT
POWER:
         CMP   AH,0F8H
         JNE   PAPER
         MOV   AX,3
         JMP   SHORT EXIT
PAPER:
         CMP   AH,38H
         JNE   UNKNOWN
         MOV   AX,4
         JMP   SHORT EXIT
UNKNOWN:
         MOV   AX,5
EXIT:
         POP   ES
         CLret AX
         END

; EOF LPTSTAT.ASM

