*:*********************************************************************
*:
*:        Program: TXINSURE.PRG
*:
*:         System: Texas Associated Software Laser Library
*:         Author: Jose E. Lopez, Jr.
*:      Copyright (c) 1991, Texas Associated Software - Red Oak, TX
*:
*:*********************************************************************

txinit(_print_port, _hp3)
txreset()
txpagesize("letter")
txorient("P")
txsetlpi(6)

txhcfa15(1)                && CREATE HCFA1500 FORM TO MACRO #1
                           && WE CREATE A MACRO TO SAVE DOWNLOADING
                           && TIME BY ONLY DOWNLOADING IT ONCE THEN
                           && USING THE TXOVERLAY() FUNCTION TO PRINT IT

txgraphic(02, 03, "texlogo.pcl", 2)  && CREATE LOGO MACRO #2
txgraphic(55, 03, "signture.pcl", 3) && CREATE SIGNATURE MACRO #3

for i = 1 to 3
   txcour12r()             && SET FONT TO COURIER 12 POINT

   txcolprint(09, 02, .f., "Patient's Name "+str(i))
   txcolprint(09, 35, .f., "06/30/28")
   txcolprint(09, 52, .f., "Insured's Name "+str(i))
   txcolprint(11, 02, .f., "Patient's Street Address")
   txcolprint(11, 37, .f., "X")
   txcolprint(12, 02, .f., "Patient's City/State/Zip Code")
   txcolprint(15, 32, .f., "X")
   txcolprint(18, 41, .f., "X")
   txcolprint(24, 52, .f., "SIGNATURE ON FILE")
   txcolprint(25, 07, .f., "SIGNATURE ON FILE")
   txcolprint(25, 40, .f., dtoc(Date()))
   txcolprint(28, 35, .f., dtoc(Date()))
   txcolprint(31, 35, .f., "LIC#-G045623")
   txcolprint(32, 07, .f., "PHYSICIAN'S NAME")
   txcolprint(36, 03, .f., "162.9     MALIGNANT NEOPLASM - LUNG/BRONCHUS")
   txcolprint(37, 03, .f., "197.7     MALIGNANT NEOPLASM - LIVER")
   txcolprint(38, 03, .f., "558.10    ENTERITIS/COLITIS FROM RADIATION")
   txcolprint(43, 14, .f., "4")
   txcolprint(43, 18, .f., "9VBATT")
   txcolprint(43, 27, .f., "9 VOLT BATTERY")
   txcolprint(43, 48, .f., "1,2,3")
   txcolprint(43, 55, .f., "0000000")
   txcolprint(43, 64, .f., "2")
   txcolprint(55, 55, .f., "9999999")
   txcolprint(56, 37, .f., "X")
   txcolprint(58, 05, .f., dtoc(Date()))
   txcolprint(60, 05, .f., "91-2010-PCA-4")

   txlnprt85()             && SET FONT TO LINE PRINTER 8.5 POINT
   * Remember the Columns change to the columns per inch of the font
   * In the case of LP85 the columns per inch is 16.67

   txcolprint(43, 02, .f., dtoc(Date() - 14) + "  " + dtoc(Date()))
   txcolprint(57, 85, .f., "Childrens Hospital and HomeCare")
   txcolprint(58, 85, .f., "9823 Pacific Heights Blvd., Ste. N")
   txcolprint(59, 85, .f., "San Diego, CA  92121")

   txoverlay(1)            && PRINT HCFA1500 FROM MACRO #1

   * SEE DOCUMENTATION FOR DIFFERENCE BETWEEN MACRO OVERLAY AND EXECUTE

   txmacexec(2)            && PRINT LOGO FROM MACRO #2
   txmacexec(3)            && PRINT SIGNATURE FROM MACRO #3

   txpsource(0)            && PRINT CURRENT PAGE AND EJECT
Next

txclear()
*: EOF: TXINSURE.PRG
