*:*********************************************************************
*:
*:        Program: TXSCALES.PRG
*:
*:         System: Texas Associated Software Laser Library
*:         Author: Jose E. Lopez, Jr.
*:      Copyright (c) 1991, Texas Associated Software - Red Oak, TX
*:
*:*********************************************************************

if !_hp3       && The TXHCFA15() function uses scalable fonts available
   return      && on the HP LaserJet III only.
endif

txinit(_print_port, _hp3)
txreset()
txpagesize("letter")
txorient("P")
txsetlpi(6)

_company   = "Texas Associated Software"

_points = 10
for i = 1 to 30 step 2
   txscalable("C", .f., "U", _points)
   txcolprint( i, 10, .t., _company)
   _points = _points + 2
Next

_points = _points - 2
for i = 32 to 62 step 2
   txscalable("U", .f., "I", _points)
   txcolprint( i, 10, .t., _company)
   _points = _points - 2
Next

txorient("L")             && this will print current page before
&& setting new page orientation

_points = 10
for i = 1 to 20 step 2
   txscalable("C", .f., "U", _points)
   txcolprint( i, 10, .t., _company)
   _points = _points + 2
Next

_points = _points - 2
for i = 22 to 42 step 2
   txscalable("U", .f., "I", _points)
   txcolprint( i, 10, .t., _company)
   _points = _points - 2
Next

txclear()

*: EOF: TXSCALES.PRG
